# Edit this file
# if You have Globus installed put here right location and flavour
# it is beter to use gcc32dbgpthr on Linux
GLOBUS_LOCATION=/opt/globus
GLOBUS_FLAVOR=gcc32dbgpthr
GPT_LOCATION=/opt/globus


# If You do NOT have gpt installed make following variable empty
USE_GLOBUS_GPT=$(GLOBUS_LOCATION)/bin/globus-makefile-header
#USE_GLOBUS_GPT=

# installation location - place where gm will be installed
NORDUGRID_LOCATION=/opt/nordugrid

# PBS option
PBS_LOCATION=/usr/local/openpbs
PBS_SPOOL=/var/spool/PBS

#runtime options
RUNTIME_CONFIG_DIR=/SOFTWARE/runtime
#RUNTIME_LOCAL_SCRATCH_DIR=/home/\\$$USER
RUNTIME_LOCAL_SCRATCH_DIR=
RUNTIME_FRONTEND_SEES_NODE=
RUNTIME_NODE_SEES_FRONTEND=yes

# Make it non-empty if You have Globus Replica Catalog client
# libraries installed.
USE_GLOBUS_RC=yes
#USE_GLOBUS_RC=

# Make it non-empty if You have Replica Location Service client
# libraries installed.
USE_GLOBUS_RLS=yes
#USE_GLOBUS_RLS=

# Edit these only if You have nonstandard placement of files
GLOBUS_LIBS=${GLOBUS_LOCATION}/lib
GLOBUS_INCLUDES=${GLOBUS_LOCATION}/include/${GLOBUS_FLAVOR}
PBS_BIN_PATH=${PBS_LOCATION}/bin
PBS_LOG_PATH=${PBS_SPOOL}/server_logs
GNU_TIME=/usr/bin/time
NODENAME="/bin/hostname -f"
TMP_DIR=/tmp

# Set it to empty if You do not have gSOAP installed
GSOAP_PATH=/usr/local
#GSOAP_PATH=

DEFINES=-DVERSION='"${VERSION}"' -DHAVE_MEMMOVE

# If You have gcc newer or starting from 2.96
DEFINES+=-DHAVE_SSTREAM -DHAVE_STRERROR_R -DHAVE_PTHREAD_YIELD

# Comment it for RedHat 6.2 
DEFINES+=-DHAVE_PTHREAD_YIELD

#use -DHAVE_GLOBUS_GSI_PROXY_H when linking against globus 2.2 and higher
DEFINES+=-DHAVE_GLOBUS_GSI_PROXY_H

#use -DOLD_GLOBUS_IO if You have globus_io version < 4.0 (Globus < 2.4)
#DEFINES+=-DOLD_GLOBUS_IO

#use -DOLD_GSOAP if installed gSOAP have version < 2.4
#DEFINES+=-DOLD_GSOAP

#use CPPLIBS=-lstdc++ if Your Linux distribution has no static C++ libraries
CPPLIBS=-Wl,-Bstatic -lstdc++ -Wl,-Bdynamic



GLOBUS_RC_OBJECT=
ifneq (,$(USE_GLOBUS_RC))
DEFINES+=-DHAVE_GLOBUS_REPLICA_CATALOG_H
GLOBUS_RC_OBJECT=globus_replica_catalog
endif

GLOBUS_RLS_OBJECT=
ifneq (,$(USE_GLOBUS_RLS))
DEFINES+=-DHAVE_GLOBUS_RLS_CLIENT_H
GLOBUS_RLS_OBJECT=globus_rls_client
endif


CFLAGS=-g

ifneq (,$(GSOAP_PATH))
DEFINES+=-DHAVE_GSOAP
endif

ifeq (,$(GPT_LOCATION))
GPT_LOCATION=$(GLOBUS_LOCATION)
endif

ifneq (,$(USE_GLOBUS_RLS))
endif
